org.apache.fontbox.ttf.table.gsub

## Class SequenceTable

- java.lang.Object
- - org.apache.fontbox.ttf.table.gsub.SequenceTable

    public class SequenceTable
    extends Object

This class is a part of the GSUB — Glyph Substitution Table system of tables in the Open Type Font specs. This is a part of the LookupType 2: Multiple Substitution Subtable. It specifically models the Sequence table.

Author:
  Tilman Hausherr

### Constructor Summary

Constructors
Constructor and Description
`SequenceTable(int glyphCount, int[] substituteGlyphIDs)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getGlyphCount()`
`int[]` `getSubstituteGlyphIDs()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SequenceTable

    public SequenceTable(int glyphCount,
                         int[] substituteGlyphIDs)

### Method Detail

#### getGlyphCount

    public int getGlyphCount()

#### getSubstituteGlyphIDs

    public int[] getSubstituteGlyphIDs()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`